org.codehaus.groovy.ast.expr

## Class ListExpression

- java.lang.Object
- - org.codehaus.groovy.ast.ASTNode
  - - org.codehaus.groovy.ast.AnnotatedNode
    - - org.codehaus.groovy.ast.expr.Expression
      - - org.codehaus.groovy.ast.expr.ListExpression

Direct Known Subclasses:
  ClosureListExpression

    public class ListExpression
    extends Expression

Represents a list expression [1, 2, 3] which creates a mutable List

Version:
  $Revision: 20591 $
Author:
  James Strachan

### Constructor Summary

Constructors
Constructor and Description
`ListExpression()`
`ListExpression(List<Expression> expressions)`

### Method Summary

Methods
`void` `addExpression(Expression expression)`
`Expression` `getExpression(int i)`
`List<Expression>` `getExpressions()`
`String` `getText()`
`boolean` `isWrapped()`
`void` `setWrapped(boolean value)`
`String` `toString()`
`Expression` `transformExpression(ExpressionTransformer transformer)` Return a copy of the expression calling the transformer on any nested expressions
`void` `visit(GroovyCodeVisitor visitor)`

### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

`getType, setType, transformExpressions, transformExpressions`

### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

`addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

### Methods inherited from class org.codehaus.groovy.ast.ASTNode

`copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListExpression

    public ListExpression()

#### ListExpression

    public ListExpression(List<Expression> expressions)

### Method Detail

#### addExpression

    public void addExpression(Expression expression)

#### getExpressions

    public List<Expression> getExpressions()

#### setWrapped

    public void setWrapped(boolean value)

#### isWrapped

    public boolean isWrapped()

#### visit

    public void visit(GroovyCodeVisitor visitor)

Overrides:
  `visit` in class `ASTNode`

#### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

Description copied from class: `Expression`
Return a copy of the expression calling the transformer on any nested expressions

Specified by:
  `transformExpression` in class `Expression`

#### getExpression

    public Expression getExpression(int i)

#### getText

    public String getText()

Overrides:
  `getText` in class `ASTNode`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`